Unit tzf30r_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF30R_p, ZF30R_p;

function tzf30r: String; 

implementation

function tzf30r: String;
var
NSIG,N,ITMAX,_i,IERR :Integer;
EPS :Real;
X :Array [0..2] of Real;
WA :Array [0..13] of Real;
label
_3;
begin
Result := '';
EPS := 0.000001;
NSIG := 5;
_3:
X[0] := 0.75;
X[1] := 1.5;
X[2] := 4.0;
N := 3;
ITMAX := 100;
ZF30R(FZF30R,N,EPS,NSIG,ITMAX,X,WA,IERR);
Result := Result + Format(' %10d %20.16f %10d %10d %10d ',[N,EPS,NSIG,ITMAX,IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzf30r',Result);  //    tzf30r.res
exit;
end;

end.
